Actualizar la automatización conversacional
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/conversational-automation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enable_welcome_message": true,
"prompts": [
"Track my order",
"Talk to an agent"
],
"commands": [
{
"command_name": "orders",
"command_description": "Check your recent orders"
},
{
"command_name": "support",
"command_description": "Talk to a human agent"
}
]
}
'{
"success": true
}Automatización
Actualizar la automatización conversacional
Actualizar la automatización conversacional. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
conversational-automation
Actualizar la automatización conversacional
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/conversational-automation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enable_welcome_message": true,
"prompts": [
"Track my order",
"Talk to an agent"
],
"commands": [
{
"command_name": "orders",
"command_description": "Check your recent orders"
},
{
"command_name": "support",
"command_description": "Talk to a human agent"
}
]
}
'{
"success": true
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID del número de teléfono devuelto por GET /meta/phone-numbers.
Cuerpo
application/json
{
"enable_welcome_message": true,
"prompts": [
"Track my order",
"Talk to an agent"
],
"commands": [
{
"command_name": "orders",
"command_description": "Check your recent orders"
},
{
"command_name": "support",
"command_description": "Talk to a human agent"
}
]
}
Respuesta
200 - application/json
Configuration updated
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | More than 4 prompts, more than 30 commands, or a command name over 32 chars | Trim to Meta's limits |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?